=== debian/changelog ===
ros-humble-rmf-robot-sim-common (2.0.2-2bookworm) bookworm; urgency=high



 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 29 Jun 2023 16:00:00 -0000

ros-humble-rmf-robot-sim-common (2.0.1-2bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#101 <https://github.com/open-rmf/rmf_simulation/pull/101>)
  * Fix eigen not found when building rpm (#102 <https://github.com/open-rmf/rmf_simulation/pull/102>)
  * Fix library linking (#97 <https://github.com/open-rmf/rmf_simulation/pull/97>)
  * Contributors: Esteban Martinena Guerrero, Grey, Yadunund

 -- Luca Della Vedova <luca@openrobotics.org>  Thu, 01 Jun 2023 16:00:00 -0000

ros-humble-rmf-robot-sim-common (2.0.0-2bookworm) bookworm; urgency=high

  * Fix spurious emergency stop behavior when robot is moving backwards (#82 <https://github.com/open-rmf/rmf_simulation/pull/82>)
  * Reduce terminal printouts from slotcar (#73 <https://github.com/open-rmf/rmf_simulation/pull/73>)
  * Change to use a pure pursuit controller for ackermann vehicles (#71 <https://github.com/open-rmf/rmf_simulation/pull/71>)
  * Update robot's current level only after the lift has finished moving (#64 <https://github.com/open-rmf/rmf_simulation/pull/64>)
  * Make ackermann vehicles standardized with RMF stack (#49 <https://github.com/open-rmf/rmf_simulation/pull/49>)
  * Change parameter tag from holonomic to steering (#46 <https://github.com/open-rmf/rmf_simulation/pull/46>)
  * Contributors: Grey, Luca Della Vedova, Marco A. Gutiérrez, Morgan Quigley, Yadunund, chianfern, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Mon, 03 Oct 2022 16:00:00 -0000

ros-humble-rmf-robot-sim-common (1.3.0-2bookworm) bookworm; urgency=high

  * support reversible slotcar (#38 <https://github.com/open-rmf/rmf_simulation/pull/38>)
  * Nonholonomic slotcar turning fixes, add turning multiplier offset parameter, rename compute_ds variables (#41 <https://github.com/open-rmf/rmf_simulation/pull/41>)
  * Support nonholonomic movement for slotcar (#33 <https://github.com/open-rmf/rmf_simulation/pull/33>)
  * Fix/dependencies (#26 <https://github.com/open-rmf/rmf_simulation/pull/26>)
  * Changes and corrections to support ROS 2 Galactic (#23 <https://github.com/open-rmf/rmf_simulation/pull/23>)
  * Start using ros-tooling for build and test workflow, added coverage, tsan (#14 <https://github.com/open-rmf/rmf_simulation/pull/14>)
  * Add quality declaration documents (#1 <https://github.com/open-rmf/rmf_simulation/pull/1>)
  * Do not drain battery when robot is in the vicinity of the charger (#18 <https://github.com/open-rmf/rmf_simulation/pull/18>)
  * Skip RobotState if level_name is empty (#16 <https://github.com/open-rmf/rmf_simulation/pull/16>)
  * Log as debug (#12 <https://github.com/open-rmf/rmf_simulation/pull/12>)
  * Add build and style actions (#11 <https://github.com/open-rmf/rmf_simulation/pull/11>)
  * Slotcar plugin package move and utils cleanup (#5 <https://github.com/open-rmf/rmf_simulation/pull/5>)
  * account for renaming from building_map_msgs to rmf_building_map_msgs (#3 <https://github.com/open-rmf/rmf_simulation/pull/3>)
  * Package Renames (#2 <https://github.com/open-rmf/rmf_simulation/pull/2>)
  * Contributors: Aaron Chong, Charayaphan Nakorn Boon Han, Geoffrey Biggs, Luca Della Vedova, Marco A. Gutiérrez, Yadunund, chianfern, ddengster

 -- Luca Della Vedova <luca@openrobotics.org>  Tue, 31 Aug 2021 16:00:00 -0000
